- Qt 6.8
- Qt Help
- C++ Classes
- QHelpLink
- Qt 6.8.0 Reference Documentation

# QHelpLink Struct

The QHelpLink struct provides the data associated with a help link. More...

Header: | #include <QHelpLink>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Help) target_link_libraries(mytarget PRIVATE Qt6::Help)
qmake: | QT += help

- List of all members, including inherited members

## Public Variables

QString | title
QUrl | url

## Detailed Description

The QHelpLink object is a data object that describes a link to a documentation file. The description of the help link contains the document title and URL of the document.

See also QHelpEngineCore.

## Member Variable Documentation

### QString QHelpLink::title

This variable holds the title of the link.

### QUrl QHelpLink::url

This variable holds the target url of the link.